{%- extends "_layout.html" %}

{%- block content %}

            <div class="row">
                <div class="col-lg-12">
                    {{ macros_page.render_breadcrumbs(item) }}

                    <div class="jumbotron" style="margin-top: 1em;">
                        <h2>{{ vial_current_view.get_view_title() }}</h2>
                        <hr>
                        <form method="POST" class="form-horizontal" id="form-events-simple" action="{{ form_url }}">
                            {{ macros_form.render_form_item_default(form.filter, placeholder = _('Write your filtering rule here...')) }}
                            {{ macros_form.render_form_item_default(form.event, placeholder = _('Paste your IDEA event as raw JSON string...')) }}

                            <hr>

                            {{ macros_form.render_form_errors(form.csrf_token.errors) }}
                            {{ form.csrf_token }}

                            <div class="btn-toolbar" role="toolbar" aria-label="{{ _('Form submission buttons') }}">
                                <div class="btn-group" role="group">
                                    {{ form.submit(class_='btn btn-primary') }}
                                    <a role="button" class="btn btn-default" href="{{ url_for(request.endpoint) }}">
                                        {{ _('Clear') }}
                                    </a>
                                </div>
                            </div>
                        </form>
                    </div> <!-- .jumbotron -->

                </div> <!-- .col-lg-12 -->
            </div>  <!-- .row -->

    {%- if flag_filtered %}

        {%- if filter_result %}
            {%- call macros_site.render_alert('success', False) %}
            {{ _('Given event matches given filtering rule.') }}
            {%- endcall %}
        {%- else %}
            {%- call macros_site.render_alert('info', False) %}
            {{ _('Given event does NOT match given filtering rule.') }}
            {%- endcall %}
        {%- endif %}

            <div class="panel-group" id="result-accordion" role="tablist">

                <div class="panel panel-default">
                    <div class="panel-heading" role="tab">
                        <h3 class="panel-title">
                            <a role="button" data-toggle="collapse" data-parent="#result-accordion" href="#filtering-result">
                                {{ _('Filtering result') }}
                            </a>
                        </h3>
                    </div>
                    <div id="filtering-result" class="panel-collapse collapse in" role="tabpanel">
                        <div class="panel-body">
<pre>
{{ filter_result | pprint }}
</pre>
                        </div>
                    </div>
                </div>

                <div class="panel panel-default">
                    <div class="panel-heading" role="tab">
                        <h3 class="panel-title">
                            <a class="collapsed" role="button" data-toggle="collapse" data-parent="#result-accordion" href="#filtering-filter">
                                {{ _('Filter tree') }}
                            </a>
                        </h3>
                    </div>
                    <div id="filtering-filter" class="panel-collapse collapse" role="tabpanel">
                        <div class="panel-body">
                            <div class="rule-tree">
                                {{ filter_compiled_preview | safe }}
                            </div>
                            <hr>
                            <h4>{{ _('Textual representation') }}:</h4>
<pre>
{{ filter_compiled.__str__() }}
</pre>
                        </div>
                    </div>
                </div>

                <div class="panel panel-default">
                    <div class="panel-heading" role="tab">
                        <h3 class="panel-title">
                            <a class="collapsed" role="button" data-toggle="collapse" data-parent="#result-accordion" href="#filtering-event">
                                {{ _('Filtered event') }}
                            </a>
                        </h3>
                    </div>
                    <div id="filtering-event" class="panel-collapse collapse" role="tabpanel">
                        <div class="panel-body">
<pre>
{{ event.to_json(indent = 4, sort_keys = True) }}
</pre>
                        </div>
                    </div>
                </div>

            </div>  <!-- #result-accordion -->
    {%- endif %}

    {%- if permission_can('developer') %}
            <hr>
        {%- if filter_exception %}
            {{ macros_site.render_raw_var('filter_exception',    filter_exception) }}
            {{ macros_site.render_raw_var('filter_exception_st', filter_exception_st) }}
        {%- endif %}
            {{ macros_site.render_raw_var('form_data',               form_data) }}
            {{ macros_site.render_raw_var('event',                   event) }}
            {{ macros_site.render_raw_var('filter_tree',             filter_tree) }}
            {{ macros_site.render_raw_var('filter_compiled',         filter_compiled) }}
            {{ macros_site.render_raw_var('filter_preview',          filter_preview) }}
            {{ macros_site.render_raw_var('filter_compiled_preview', filter_compiled_preview) }}
            {{ macros_site.render_raw_var('filter_result',           filter_result) }}
    {%- endif %}

{%- endblock content %}
